
package de.ivu.elect.presentation.wahlvorschlag.action;

import javax.annotation.Nonnull;

import de.ivu.elect.business.kandidatur.entity.EinzelbewerberKandidaturen;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;

public class EinzelbewerberListeListenkandidaturSearchAction extends AbstractListeListenkandidaturSearchAction {

  private static final long serialVersionUID = 1L;

  public EinzelbewerberListeListenkandidaturSearchAction() {
    super();
  }

  @Override
  protected boolean isDisabledInternal(@Nonnull Liste liste) {
    return !isEinzelbewerberListe(liste);
  }

  @Override
  protected String getLocalizedLabel() {
    return getMessage(getLabelKey(), getMessage(EinzelbewerberKandidaturen.MSG_KEY_EINZELBEWERBER_KANDIDATUR_EINZAHL));
  }
}
